aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-role-basic/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2013-12-24 07:14:04 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-12-24 09:11:11 +0000
commit4ce099ce5c4358c803bce32a91f0cc0831322ef4 (patch)
tree28b0abbf0abfadfad2fabfc962791948d40b6a70 /main/perl-role-basic/APKBUILD
parent0e26f065f8052165727483c1a2bcc693a833569b (diff)
downloadaports-4ce099ce5c4358c803bce32a91f0cc0831322ef4.tar.gz
aports-4ce099ce5c4358c803bce32a91f0cc0831322ef4.tar.bz2
aports-4ce099ce5c4358c803bce32a91f0cc0831322ef4.tar.xz
main/perl-role-basic: new aport
Diffstat (limited to 'main/perl-role-basic/APKBUILD')
-rw-r--r--main/perl-role-basic/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/perl-role-basic/APKBUILD b/main/perl-role-basic/APKBUILD
new file mode 100644
index 0000000000..5435eddba9
--- /dev/null
+++ b/main/perl-role-basic/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=perl-role-basic
+_pkgreal=Role-Basic
+pkgver=0.13
+pkgrel=0
+pkgdesc="Just roles. Nothing else."
+url="http://search.cpan.org/dist/Role-Basic/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/O/OV/OVID/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="2985fbb47bd0a862bd56bc7cbba6e673 Role-Basic-0.13.tar.gz"
+sha256sums="38a0959ef9f193ff76e72c325a9e9211bc4868689bd0e2b005778f53f8b6f36a Role-Basic-0.13.tar.gz"
+sha512sums="685f758e1afc4441b3ac507d52e0d18b6f64081f74fa0a768c81c7c9fad7b7ec30497002cff22449a65ab78c27671a4fe7a7213c45d28cc4077bb855fcce1438 Role-Basic-0.13.tar.gz"